6.0.0-git
2019-04-21

[#6259] Detection of Nokia WebKit-based browser
Summary Detection of Nokia WebKit-based browser
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners selsky (at) columbia (dot) edu
Requester s.lazzaris (at) interactive (dot) eu
Created 2008-02-14 (4084 days ago)
Due
Updated 2008-03-09 (4060 days ago)
Assigned 2008-03-09 (4060 days ago)
Resolved 2008-03-09 (4060 days ago)
Milestone
Patch No

History
2008-03-09 21:07:16 Chuck Hagenbuch Assigned to Matt Selsky
Taken from Chuck Hagenbuch
State ⇒ Resolved
 
2008-03-09 20:50:01 a-dinc (at) hotmail (dot) de Comment #6 Reply to this comment
yes that solves the problem.
2008-03-09 04:12:29 Chuck Hagenbuch Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
State ⇒ Feedback
 
2008-03-09 04:11:06 Matt Selsky Comment #4 Reply to this comment
The patch has "SymbianOs" but the comment has "SymbianOS".  Is the 
downcase "S" causing the problem?
2008-03-09 02:03:01 a-dinc (at) hotmail (dot) de Comment #3 Reply to this comment
The Nokia E51 Browser with the below UserAgent is not recognized as a 
mobile phone.



Mozilla/5.0 (SymbianOS/9.2; U; Series60/3.1 NokiaE51-1/100.34.20; 
Profile/MIDP-2.0 Configuration/CLDC-1.1 ) AppleWebKit/413 (KHTML, like 
Gecko) Safari/413
2008-02-14 19:46:37 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2008-02-14 17:02:04 s (dot) lazzaris (at) interactive (dot) eu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Detection of Nokia WebKit-based browser
Queue ⇒ MIMP
New Attachment: Browser.patch Download
Reply to this comment
The browser included with NokiaN95, based on Safari WebKit, is not 
recognised as a mobile browser. The attached patch correctly detect 
the browser as a mobile one, searching for "SymbianOS" or "NokiaN" in 
the user-agent string.

Saved Queries